
<!---------------------------------------------------------
  NodeWorx Template
  -------------------------------------------------------->

<!---------------------------------------------------------
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
  -------------------------------------------------------->

<!---------------------------------------------------------
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
  -------------------------------------------------------->

<!---------------------------------------------------------
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
  -------------------------------------------------------->

{include file="content-frame-top.tpl"
         header="##LG_CLUSTER_MANAGEMENT## :: ##LG_SETUP##"}

  {counter start=1 print=false}
  {cycle values="row1,row2" print=false advance=false}

  <h1>##LG_CLUSTERING_SETUP##</h1>
  <p>
    ##LG_CLUSTERING_OVERVIEW##
  </p>

  {if $iw_node.ismanager}
    <div class="service_neutral_box" style="margin-bottom: 5px;">
      ##LG_NODE_IS_MANAGER##     
    </div>
  {elseif $iw_node.isrealserver}
    <div class="service_neutral_box" style="margin-bottom: 5px;">
      ##LG_NODE_IS_REALSERVER##
    </div>
  {/if}

  <table id="columns">
    <tr>
      <td id="columns" style="width: 50%;">

        <h1>##LG_SETUP_CLUSTER_MANAGER##</h1>

        <table id="datatable"
               width="100%">

          <form method="get"
                action="{$iw_self}"
                name="manager">
          <input type="hidden" name="mode"   value="manager">

          <tr>
            <td>
              ##LG_STATUS##:
            </td>
            <td>
              {if count( $iw_ips ) < 2}
                <div class="service_notok_box">
                  ##LG_UNAVAILABLE## : ##LG_TWO_IPS_NEEDED##
                </div>
              {elseif $iw_node.isdirector  ||
                      $iw_node.ismanager   ||
                      $iw_node.isrealserver}
                <div class="service_neutral_box">
                  ##LG_ALREADY_CLUSTERED##
                </div>
              {else}
                <div class="service_ok_box">
                  ##LG_AVAILABLE##
                </div>
              {/if}
            </td>
          </tr>
          <tr>
            <td>
              ##LG_PURPOSE##:
            </td>
            <td>
              ##LG_CLUSTER_MANAGER_PURPOSE##
            </td>
          </tr>
          <tr>
            <td>
              ##LG_ROLES##:
            </td>
            <td>
              <ul style="padding-left: 15px">
                <li>##LG_LOAD_BALANCER##</li>
                <li>##LG_SHARED_STORAGE_SERVER##</li>
                <li>##LG_SITEWORX_ACCOUNT_MANAGER##</li>
                <li>##LG_IP_MANAGER##</li>
                <li>##LG_CLUSTERED_SERVER##</li>
                <li>##LG_DATABASE_SERVER##</li>
              </ul>
            </td>
          </tr>
          <tr>
            <td>
              ##LG_PREREQUISITES##:
            </td>
            <td>
              <ul style="padding-left: 15px">
                <li>##LG_TWO_IPS##</li>
                <li>##LG_LARGE_DISK##</li>
                <li>##LG_ONE_OR_MORE_REALSERVERS##</li>
              </ul>
            </td>
          </tr>

          {if !$iw_node.isclustered || $iw_node.ismanager}
          <tr id="datatable_footer">
            <td colspan="2" class="submit">

            {if $iw_node.isdirector  ||
                $iw_node.ismanager}
              <input type="hidden" name="action" value="unsetup">
              <input type="submit"
                     value="##LG_UNSETUP##"
                     {if $iw_accounts > 0}
                       disabled
                     {/if}
                     tabindex="{counter}"
                     class="button">

            {else}
              <input type="hidden" name="action" value="setup">
              <input type="submit"
                     value="##LG_SETUP##"
                     {if count( $iw_ips ) < 2}
                       disabled
                     {/if}
                     tabindex="{counter}"
                     class="button">
            {/if}

            </td>
          </tr>
          {/if}

          </form>
        </table>

      </td>

      <td id="columns">

        <h1>##LG_SETUP_CLUSTERED_SERVER##</h1>

        <table id="datatable"
               width="100%">

          <form method="get"
                action="{$iw_self}"
                name="realserver">
          <input type="hidden" name="mode"   value="realserver">
          <input type="hidden" name="action" value="setup">

          <tr>
            <td>
              ##LG_STATUS##:
            </td>
            <td>
              {if $iw_node.isdirector  ||
                  $iw_node.ismanager   ||
                  $iw_node.isrealserver}
                <div class="service_neutral_box">
                  ##LG_ALREADY_CLUSTERED##
                </div>
              {else}
                <div class="service_ok_box">
                  ##LG_AVAILABLE##
                </div>
              {/if}
            </td>
          </tr>
          <tr>
            <td>
              ##LG_PURPOSE##:
            </td>
            <td>
              ##LG_CLUSTER_MANAGER_PURPOSE##
            </td>
          </tr>
          <tr>
            <td>
              ##LG_ROLES##:
            </td>
            <td>
              <ul style="padding-left: 15px">
                <li>##LG_CLUSTERED_SERVER##</li>
              </ul>
            </td>
          </tr>
          <tr>
            <td>
              ##LG_PREREQUISITES##:
            </td>
            <td>
              <ul style="padding-left: 15px">
                <li>##LG_ONE_IP_ADDRESS##</li>
              </ul>
            </td>
          </tr>

          {if !$iw_node.isclustered}
            <tr id="datatable_footer">
              <td colspan="2" class="submit">
                <input type="submit"
                       value="##LG_SETUP##"
                       tabindex="{counter}"
                       class="button">
              </td>
            </tr>
          {/if}

          </form>

        </table>

      </td>
    </tr>
  </table>

{include file="content-frame-bottom.tpl"}
