<!---------------------------------------------------------
  NodeWorx Template
  -------------------------------------------------------->

<!---------------------------------------------------------
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
  -------------------------------------------------------->

<!---------------------------------------------------------
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
  -------------------------------------------------------->

<!---------------------------------------------------------
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
  -------------------------------------------------------->

{include file="content-frame-top.tpl"
         header="##LG_CLUSTER_MANAGEMENT## :: ##LG_LOAD_BALANCING##"}

  {* for tabindex *}
  {counter start=1 print=false}

  <table id="columns">

    {cycle values="row1,row2" print=false advance=false}

    <tr>
      <td id="columns" style="width: 50%;">

        <h1>##LG_LOAD_BALANCER_CONTROL##
            [<a tabindex="999"
                id="quickhelp"
                href="javascript:quickhelp('LG_QH_LOADBALANCERCONTROL');">?</a>]
        </h1>

        <table id="datatable"
               width="100%">

          <form method="post"
                action="{$iw_self}?mode=lb"
                name="lbcontrol">
          <input type="hidden" name="mode" value="lb">
          <input type="hidden" name="action" value="control">

          <tr class="{cycle}">
            <td width="40%">
              ##LG_STATUS##:
            </td>
            <td>
              {if $iw_lb.running}
                <div class="service_ok_box">
                  ##LG_RUNNING##
                </div>
              {else}
                <div class="service_notok_box">
                  ##LG_STOPPED##
                </div>
              {/if}
            </td>
          </tr>
          <tr class="{cycle}">
            <td width="40%">
              ##LG_ACTION##:
            </td>
            <td>
              <div id="service_control_box">
                {if $iw_lb.canstop}
                <input type="submit"
                       name="input[stop]"
                       value="##LG_STOP##"
                       tabindex="{counter}"
                       class="button"
                       {if $iw_lb.running neq 1}
                         disabled
                       {/if}>
                {/if}
                {if $iw_lb.canstart}
                <input type="submit"
                       class="button"
                       name="input[start]"
                       tabindex="{counter}"
                       value="##LG_START##"
                       {if $iw_lb.running neq 0}
                         disabled
                       {/if}>
                {/if}
                {if $iw_lb.canrestart}
                <input type="submit"
                       name="input[restart]"
                       class="button"
                       tabindex="{counter}"
                       value="##LG_RESTART##"
                       {if $iw_lb.running eq 0}
                         disabled
                       {/if}>
                {/if}
              </div>
            </td>
          </tr>
          </form>

          <form method="post"
                action="{$iw_self}?mode=lb"
                name="lb_start_on_boot">
          <input type="hidden" name="mode" value="lb">
          <input type="hidden" name="action" value="start_on_boot">
          <tr class="{cycle}">
            <td class="nowrap">
              ##LG_STARTONBOOT##:
              [<a tabindex="999"
                  id="quickhelp"
                  href="javascript:quickhelp('LG_QH_LOADBALANCERSTARTONBOOT');">?</a>]
            </td>
            <td>
              <select name="input[start_on_boot]"
                      class="select"
                      tabindex="{counter}"
                      onchange="document.forms.lb_start_on_boot.submit();"
                      id="rrd">
                <option value="yes"
                        {if $iw_lb.start_on_boot eq true}
                          selected
                        {/if}>##LG_YES##</option>
                <option value="no"
                        {if $iw_lb.start_on_boot eq false}
                          selected
                        {/if}>##LG_NO##</option>
              </select>
            </td>
          </tr>
          </form>

        </table>

        <h1>##LG_LOAD_BALANCER_INFO##</h1>

        <table id="datatable"
               width="100%">

          <tr class="{cycle}">
            <td width="40%" class="nowrap">
              ##LG_VERSION##:
              [<a tabindex="999"
                  id="quickhelp"
                  href="javascript:quickhelp('LG_QH_LBVERSION');">?</a>]
            </td>
            <td>
              {$iw_lb.version} ({$iw_lb.name})
            </td>
          </tr>
          <tr class="{cycle}">
            <td width="40%" class="nowrap">
              ##LG_DEFAULT_POLICY##:
              [<a tabindex="999"
                  id="quickhelp"
                  href="javascript:quickhelp('LG_QH_LBSCHEDULER');">?</a>]
            </td>
            <td>
              <select name="input[scheduler]"
                      id="scheduler"
                      class="select"
                      tabindex="{counter}">
                {html_options options=$iw_lb_schedulers
                              selected=$iw_lb.scheduler}
              </select>
            </td>
          </tr>
          <tr id="datatable_footer">
            <td colspan="2" class="submit">
              <input type="submit"
                     value="##LG_UPDATE##"
                     tabindex="{counter}"
                     class="button">
            </td>
          </tr>

        </table>

      </td>

      <td id="columns" style="width: 50%;">

        <h1>##LG_LOAD_BALANCER_ACTIVITY##</h1>
        <div style="width: 100%; margin: 0px auto 5px auto; text-align: center;">
          {if count( $iw_nodes ) == 0 || count( $iw_lb.services ) == 0}
            <div class="service_neutral_box">
              ##LG_GRAPH_NOT_AVAILABLE##
            </div>
          {else}
            <a href="/nodeworx/rrd.php?mode=history&service=lb&graph=connections&sub=tcp_80"><img src="{$iw_self}?mode=lb&action=activity"></a>
          {/if}
        </div>

      </td>
    </tr>
  </table>

  <h1>##LG_LOAD_BALANCED_SERVICES##
    [<a tabindex="999"
        id="quickhelp"
        href="javascript:quickhelp('LG_QH_LOADBALANCERCONTROL');">?</a>]
  </h1>
  <table id="datatable"
         width="100%">

  <table id="datatable"
         width="100%">

  <form action="{$iw_self}?mode=lb"
        method="post"
        name="add_service">

  <input type="hidden" name="action" value="add_service">

    <tr id="datatable_header" class="{cycle}">
      <td colspan="2">

      </td>
      <td>
        ##LG_SERVICE## / ##LG_PORT##
      </td>
      <td>
        ##LG_VIRTUAL_IP##
      </td>
      <td>
        ##LG_POLICY##
      </td>
      <td>
        ##LG_PERSISTENT## / [##LG_TIMEOUT##]
      </td>
      <td>
        ##LG_INCLUDE_MANAGER##
      </td>
    </tr>

    {if count( $iw_nodes ) == 0}

      <tr>
        <td colspan="6">
          <div class="service_neutral_box">
            ##LG_NO_NODES_IN_CLUSTER##
          </div>
        </td>
      </tr>

    {else}

      <tr id="datatable_input" class="{cycle}">
        <td colspan="2" class="center">
          <input type="submit"
                 class="button"
                 tabindex="{counter}"
                 value="##LG_ADD##">
        </td>
        <td class="center">
          <select name="input[port]"
                  id="port"
                  class="select"
                  tabindex="{counter}">
            {html_options options=$iw_available_services}
          </select>
        </td>       
        <td class="center">
          <select name="input[vip]"
                  id="vip"
                  class="select"
                  tabindex="{counter}">
            <option value="0.0.0.0">##LG_ALL_VIRTUAL_IPS##</option>
            {html_options options=$iw_vips}
          </select>
        </td>
        <td class="center">
          <select name="input[policy]"
                  id="policy"
                  class="select"
                  tabindex="{counter}">
            {html_options options=$iw_lb_schedulers}
          </select>
        </td>
        <td class="center">
          <select name="input[persistent]"
                  id="persistent"
                  class="select"
                  tabindex="{counter}">
            {html_options options=$iw_timeouts}
          </select>
        </td>
        <td class="center">
          <select class="select"
                  tabindex="{counter}"
                  name="input[manager]"
                  value="true"
                  id="manager">
            {html_options options=$iw_manager_options}
          </select>
        </td>
      </tr>

    </form>

    <form action="{$iw_self}?mode=lb"
          method="post"
          name="services">

      {foreach item=service from=$iw_lb.services}

        {cycle assign="rowclass"}

        <tr class="{$rowclass}">
          <td class="center" width="5%">
            <input type="checkbox"
                   name="input[services][]"
                   tabindex="{counter}"
                   value="{$service.info.vip}:{$service.info.port}"
                   id="{$service.info.vip}:{$service.info.port}">
          </td>
{if 0}
          <td class="center_nowrap">
            [ <a tabindex="{counter}"
                 href="{$iw_self}?mode=lb}">##LG_EDIT##</a> ]
          </td>
{/if}
          <td>
            &nbsp;
          </td>
          <td class="center">
            <label for="{$service.info.vip}:{$service.info.port}">
              {$service.info.pport}
            </label>
          </td>
          <td>
            &nbsp;
          </td>
{if 0}
          <td class="center">
            <label for="{$service.info.vip}:{$service.info.port}">
              {$service.info.vip}
            </label>
          </td>
{/if}
          <td class="center">
            <label for="{$service.info.vip}:{$service.info.port}">
              {$service.info.ppolicy}
            </label>
          </td>
          <td class="center">
            <label for="{$service.info.vip}:{$service.info.port}">
              {if $service.info.persistent > 0}
                {math equation="x/y"
                      x=$service.info.persistent
                      y=60} ##LG_MINUTES##
              {else}
                ##LG_NO_PERSISTENCE##
              {/if}
            </label>
          </td>
          <td>
            &nbsp;
          </td>
        </tr>

        {if count( $service.realservers ) > 0}

          <tr class="{$rowclass}">
            <td colspan="1">
              &nbsp;
            </td>
            <td colspan="6">
              <table border="5" id="datatable" width="800">

                <tr id="datatable_header">
                  <td width="25%">
                    ##LG_VIRTUAL_IP##
                  </td>
                  <td width="25%">
                    ##LG_NODES##
                  </td>
                  <td width="25%">
                    ##LG_PORT##
                  </td>
{if 0}
                  <td>
                    ##LG_WEIGHT##
                  </td>
{/if}
                  <td width="25%">
                    ##LG_ACTIVE_CONNECTIONS##
                  </td>
                </tr>
                <tr>
                  <td class="center">
                    {$service.info.vip}
                  </td>
                  <td class="center">
                {foreach item=node from=$service.realservers}
                    {$node.vip}<br>
                {/foreach}
                  </td>
                  <td class="center">
                    {$service.info.pport} [{$service.info.port}]
                  </td>
                  <td class="center">
                    {$node.active}
                  </td>
                </tr>
              </table>
            </td>
          </tr>

        {/if}

      {foreachelse}

        <tr>
          <td colspan="7">
            <div class="service_neutral_box">
              ##LG_NO_SERVICES_CONFIGURED##
            </div>
          </td>
        </tr>

      {/foreach}

      {if count( $iw_lb.services ) > 0}
      <tr id="datatable_footer">
        <td class="center">
          <img src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
        </td>
        <td colspan="6" class="left">
          [ <a href="."
               tabindex="{counter}"
               onClick="setCheckboxes('services','input[services][]',true);return false;">##LG_CHECKALL##</a> ]
          [ <a href="."
               tabindex="{counter}"
               onClick="setCheckboxes('services','input[services][]',false);return false;">##LG_CHECKNONE##</a> ]
          [<a tabindex="999"
              id="quickhelp"
              href="javascript:quickhelp('LG_QH_IP_MNGMT_DROPDOWN');">?</a>]
          <select name="action"
                  class="select"
                  onchange="document.services.submit();"
    onchange='javascript:confirmSubmitCheckbox( this, 
                                                "input[services][]",
                                                "##LG_SELECTED_SERVICES##",
						"##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'
                  tabindex="{counter}">
            <option value="0">##LG_WITH_SELECTED##:</option>
            {html_options options=$iw_service_actions}
          </select>
        </td>
      </tr>
      {/if}

    {/if}
  </form>

  </table>

{include file="content-frame-bottom.tpl"}
